com.android.agf.data

## Class DashComponent

- java.lang.Object
- - com.android.agf.data.DashComponent

-     public class DashComponent
      extends Object

  estructura component dashbaord amb tota la configuració
  Author:
    albert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColor()`
    `int` | `getGraph()`
    `String` | `getId()`
    `int` | `getRatex()`
    `int` | `getRatey()`
    `int` | `getTipus()`
    `String` | `getTitol()`
    `String` | `getUrl()`
    `String` | `getUsuari()`
    `boolean` | `isSetting_legend()`
    `boolean` | `isSetting_titol()`
    `void` | `setColor(int color)`
    `void` | `setGraph(int graph)`
    `void` | `setId(String id)`
    `void` | `setRatex(int ratex)`
    `void` | `setRatey(int ratey)`
    `void` | `setSetting_legend(boolean setting_legend)`
    `void` | `setSetting_titol(boolean setting_titol)`
    `void` | `setTipus(int tipus)`
    `void` | `setTitol(String titol)`
    `void` | `setUrl(String url)`
    `void` | `setUsuari(String usuari)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashComponent

          public DashComponent()

  - ### Method Detail

    - #### getTitol

          public String getTitol()

    - #### setTitol

          public void setTitol(String titol)

    - #### getUrl

          public String getUrl()

    - #### setUrl

          public void setUrl(String url)

    - #### getColor

          public int getColor()

    - #### setColor

          public void setColor(int color)

    - #### isSetting_legend

          public boolean isSetting_legend()

    - #### setSetting_legend

          public void setSetting_legend(boolean setting_legend)

    - #### isSetting_titol

          public boolean isSetting_titol()

    - #### setSetting_titol

          public void setSetting_titol(boolean setting_titol)

    - #### getTipus

          public int getTipus()

    - #### setTipus

          public void setTipus(int tipus)

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUsuari

          public String getUsuari()

    - #### setUsuari

          public void setUsuari(String usuari)

    - #### getGraph

          public int getGraph()

    - #### setGraph

          public void setGraph(int graph)

    - #### getRatex

          public int getRatex()

    - #### setRatex

          public void setRatex(int ratex)

    - #### getRatey

          public int getRatey()

    - #### setRatey

          public void setRatey(int ratey)